
Summary:        Qt Cryptographic Architecture, TLS plugin
Name:		qca-tls
Version:	1.0
Release:	4%{?dist}%{?kde}

License:	LGPL
Group:		Applications/Internet
URL:		http://delta.affinix.com/qca/
Source0:	http://delta.affinix.com/qca/qca-tls-1.0.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:         qca-tls-1.0-mach.patch

BuildRequires: XFree86-devel
BuildRequires: openssl-devel

BuildRequires: qt-devel >= 1:3.3
BuildRequires: qt-devel <  1:3.4
%define qtdir %{expand:%%(unset QTDIR ||:; source /etc/profile.d/qt.sh 2>/dev/null; echo ${QTDIR:-/usr/lib/qt-3.3} )}
%define qt_ver %{expand:%%(rpm -q --qf '%%{VERSION}' qt-devel )}
Requires: qt >= 1:%{qt_ver}
Requires: qt <  1:3.4
#or
#{?qtdir:Prereq: %{qtdir}}


%description
This is a plugin to provide SSL/TLS capability to programs that use
the Qt Cryptographic Architecture (QCA).
QCA is a library providing an easy API for several cryptographic
algorithmns to Qt programs. 
This package only contains the TLS plugin.

%prep
%setup -q 

%patch0 -p0 -b .mach


%build
./configure \
  --qtdir=%{qtdir}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{qtdir}/plugins/crypto
export INSTALL_ROOT=$RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(0644,root,root,0755)
%doc README COPYING
%attr(755,root,root) %{qtdir}/plugins/crypto


%changelog
* Tue Oct 18 2005 Rex Dieter 1.0-4.kde
- drop Req: %%qtdir and Req: qt < 3.4 instead

* Tue Jul 27 2004 Rex Dieter <rexdieter at sf.net> 0:1.0-0.fdr.3
- use %%qtdir macro everywhere
- Requires: qt >= 1:%%qt_ver
- Prereq: %%qtdir

* Thu Jun 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- License is LGPL
- BR: XFree86-devel
- own the crypto dir (see bug 1738)

* Fri Jun 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- Initial RPM, split from psi
